gtk-query-immodules-3.0
1
User Commands

# gtk-query-immodules-3.0

Input method module registration utility

    gtk-query-immodules-3.0
    --update-cache
    module

## Description

`gtk-query-immodules-3.0` collects information about loadable input method modules for GTK+ and writes it to the default cache file location, or to `stdout`.

If called without arguments, it looks for modules in the GTK+ input method module path.

If called with arguments, it looks for the specified modules. The arguments may be absolute or relative paths.

Normally, the output of `gtk-query-immodules-3.0` is written to `libdir/gtk-3.0/3.0.0/immodules.cache`, where GTK+ looks for it by default. If it is written to some other location, the environment variable `GTK_IM_MODULE_FILE` can be set to point GTK+ at the file.

## Options

--update-cache

  Write the output to the default cache location instead of `stdout`

## Environment

The environment variable `GTK_PATH` can be used to prepend directories to the input method module path.

## Bugs

None known yet.